BdbService.AsyncClient (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.AsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient
  - - com.sleepycat.thrift.BdbService.AsyncClient

- All Implemented Interfaces:
    BdbService.AsyncIface
  Enclosing class:
    BdbService

      public static class BdbService.AsyncClient
      extends org.apache.thrift.async.TAsyncClient
      implements BdbService.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.AsyncClient.beginTransaction_call`
    `static class` | `BdbService.AsyncClient.checkpoint_call`
    `static class` | `BdbService.AsyncClient.closeCursorHandle_call`
    `static class` | `BdbService.AsyncClient.closeDatabaseHandle_call`
    `static class` | `BdbService.AsyncClient.closeDatabaseHandles_call`
    `static class` | `BdbService.AsyncClient.closeEnvironmentHandle_call`
    `static class` | `BdbService.AsyncClient.closeEnvironmentHandles_call`
    `static class` | `BdbService.AsyncClient.closeJoinCursorHandle_call`
    `static class` | `BdbService.AsyncClient.closeSequenceHandle_call`
    `static class` | `BdbService.AsyncClient.cursorCompare_call`
    `static class` | `BdbService.AsyncClient.cursorCount_call`
    `static class` | `BdbService.AsyncClient.cursorDelete_call`
    `static class` | `BdbService.AsyncClient.cursorDup_call`
    `static class` | `BdbService.AsyncClient.cursorGet_call`
    `static class` | `BdbService.AsyncClient.cursorGetWithPKey_call`
    `static class` | `BdbService.AsyncClient.cursorPut_call`
    `static class` | `BdbService.AsyncClient.dbCompact_call`
    `static class` | `BdbService.AsyncClient.dbDelete_call`
    `static class` | `BdbService.AsyncClient.dbGet_call`
    `static class` | `BdbService.AsyncClient.dbGetWithPKey_call`
    `static class` | `BdbService.AsyncClient.dbKeyExists_call`
    `static class` | `BdbService.AsyncClient.dbKeyRange_call`
    `static class` | `BdbService.AsyncClient.dbPut_call`
    `static class` | `BdbService.AsyncClient.dbTruncate_call`
    `static class` | `BdbService.AsyncClient.deleteEnvironmentAndDatabases_call`
    `static class` | `BdbService.AsyncClient.Factory`
    `static class` | `BdbService.AsyncClient.getBdbVersion_call`
    `static class` | `BdbService.AsyncClient.getCursorCachePriority_call`
    `static class` | `BdbService.AsyncClient.getCursorConfig_call`
    `static class` | `BdbService.AsyncClient.getDatabaseConfig_call`
    `static class` | `BdbService.AsyncClient.getDatabaseStatistics_call`
    `static class` | `BdbService.AsyncClient.getEnvironmentConfig_call`
    `static class` | `BdbService.AsyncClient.getEnvStatistics_call`
    `static class` | `BdbService.AsyncClient.isProtocolVersionSupported_call`
    `static class` | `BdbService.AsyncClient.joinCursorGet_call`
    `static class` | `BdbService.AsyncClient.openCursor_call`
    `static class` | `BdbService.AsyncClient.openDatabase_call`
    `static class` | `BdbService.AsyncClient.openEnvironment_call`
    `static class` | `BdbService.AsyncClient.openJoinCursor_call`
    `static class` | `BdbService.AsyncClient.openSecondaryDatabase_call`
    `static class` | `BdbService.AsyncClient.openSequence_call`
    `static class` | `BdbService.AsyncClient.ping_call`
    `static class` | `BdbService.AsyncClient.removeDatabase_call`
    `static class` | `BdbService.AsyncClient.removeSequence_call`
    `static class` | `BdbService.AsyncClient.renameDatabase_call`
    `static class` | `BdbService.AsyncClient.sequenceGet_call`
    `static class` | `BdbService.AsyncClient.setCursorCachePriority_call`
    `static class` | `BdbService.AsyncClient.setDatabaseConfig_call`
    `static class` | `BdbService.AsyncClient.setEnvironmentConfig_call`
    `static class` | `BdbService.AsyncClient.shutdown_call`
    `static class` | `BdbService.AsyncClient.txnAbort_call`
    `static class` | `BdbService.AsyncClient.txnCommit_call`
    `static class` | `BdbService.AsyncClient.txnGetPriority_call`
    `static class` | `BdbService.AsyncClient.txnSetPriority_call`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTransaction(TEnvironment env, TTransaction parent, TTransactionConfig config, org.apache.thrift.async.AsyncMethodCallback<TTransaction> resultHandler)`
    `void` | `checkpoint(TEnvironment env, int kbytes, int min, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeCursorHandle(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeDatabaseHandle(TDatabase db, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeDatabaseHandles(java.lang.String envHomeDir, java.lang.String fileName, java.lang.String databaseName, long minIdleInMilli, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeEnvironmentHandle(TEnvironment env, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeEnvironmentHandles(java.lang.String homeDir, long minIdleInMilli, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeJoinCursorHandle(TJoinCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeSequenceHandle(TSequence seq, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `cursorCompare(TCursor cursor1, TCursor cursor2, org.apache.thrift.async.AsyncMethodCallback<java.lang.Short> resultHandler)`
    `void` | `cursorCount(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `cursorDelete(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `cursorDup(TCursor cursor, boolean samePos, org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)`
    `void` | `cursorGet(TCursor cursor, TKeyData keyData, TCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `cursorGetWithPKey(TCursor cursor, TKeyDataWithPKey keyPKey, TCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)`
    `void` | `cursorPut(TCursor cursor, TKeyDataWithSecondaryKeys pair, TCursorPutConfig config, org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)`
    `void` | `dbCompact(TDatabase db, TTransaction txn, TDbt start, TDbt stop, TCompactConfig config, org.apache.thrift.async.AsyncMethodCallback<TCompactResult> resultHandler)`
    `void` | `dbDelete(TDatabase db, TTransaction txn, java.util.List<TKeyData> keyOrPairs, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `dbGet(TDatabase db, TTransaction txn, TKeyData keyData, TDbGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `dbGetWithPKey(TDatabase sdb, TTransaction txn, TKeyDataWithPKey keyPKey, TDbGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)`
    `void` | `dbKeyExists(TDatabase db, TTransaction txn, TDbt key, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `dbKeyRange(TDatabase db, TTransaction txn, TDbt key, org.apache.thrift.async.AsyncMethodCallback<TKeyRangeResult> resultHandler)`
    `void` | `dbPut(TDatabase db, TTransaction txn, java.util.List<TKeyDataWithSecondaryKeys> pairs, TDbPutConfig config, org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)`
    `void` | `dbTruncate(TDatabase db, TTransaction txn, boolean countRecords, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `deleteEnvironmentAndDatabases(java.lang.String homeDir, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `getBdbVersion(org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)`
    `void` | `getCursorCachePriority(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler)`
    `void` | `getCursorConfig(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TCursorConfig> resultHandler)`
    `void` | `getDatabaseConfig(TDatabase db, org.apache.thrift.async.AsyncMethodCallback<TDatabaseConfig> resultHandler)`
    `void` | `getDatabaseStatistics(TDatabase db, TTransaction txn, boolean fast, org.apache.thrift.async.AsyncMethodCallback<TDatabaseStatResult> resultHandler)`
    `void` | `getEnvironmentConfig(TEnvironment env, org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)`
    `void` | `getEnvStatistics(TEnvironment env, TEnvStatConfig config, org.apache.thrift.async.AsyncMethodCallback<TEnvStatResult> resultHandler)`
    `void` | `isProtocolVersionSupported(java.lang.String clientVersion, org.apache.thrift.async.AsyncMethodCallback<TProtocolVersionTestResult> resultHandler)`
    `void` | `joinCursorGet(TJoinCursor cursor, TJoinCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `openCursor(TDatabase db, TTransaction txn, TCursorConfig cursorConfig, org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)`
    `void` | `openDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, TDatabaseConfig dbConfig, org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)`
    `void` | `openEnvironment(java.lang.String homeDir, TEnvironmentConfig envConfig, org.apache.thrift.async.AsyncMethodCallback<TEnvironment> resultHandler)`
    `void` | `openJoinCursor(TDatabase pdb, java.util.List<TCursor> scursors, boolean sortCursors, org.apache.thrift.async.AsyncMethodCallback<TJoinCursor> resultHandler)`
    `void` | `openSecondaryDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, TDatabase primaryDb, TSecondaryDatabaseConfig sdbConfig, org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)`
    `void` | `openSequence(TDatabase db, TTransaction txn, TDbt key, TSequenceConfig config, org.apache.thrift.async.AsyncMethodCallback<TSequence> resultHandler)`
    `void` | `ping(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `removeDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `removeSequence(TDatabase db, TTransaction txn, TDbt key, boolean isAutoCommitNoSync, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `renameDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, java.lang.String newName, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `sequenceGet(TSequence seq, TTransaction txn, int delta, org.apache.thrift.async.AsyncMethodCallback<java.lang.Long> resultHandler)`
    `void` | `setCursorCachePriority(TCursor cursor, TCachePriority priority, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `setDatabaseConfig(TDatabase db, TDatabaseConfig dbConfig, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `setEnvironmentConfig(TEnvironment env, TEnvironmentConfig envConfig, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `shutdown(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnAbort(TTransaction txn, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnCommit(TTransaction txn, TDurabilityPolicy durability, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnGetPriority(TTransaction txn, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `txnSetPriority(TTransaction txn, int priority, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncClient

          public AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                             org.apache.thrift.async.TAsyncClientManager clientManager,
                             org.apache.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### ping

          public void ping(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                    throws org.apache.thrift.TException

      Specified by:
        `ping` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### isProtocolVersionSupported

          public void isProtocolVersionSupported(java.lang.String clientVersion,
                                                 org.apache.thrift.async.AsyncMethodCallback<TProtocolVersionTestResult> resultHandler)
                                          throws org.apache.thrift.TException

      Specified by:
        `isProtocolVersionSupported` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getBdbVersion

          public void getBdbVersion(org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)
                             throws org.apache.thrift.TException

      Specified by:
        `getBdbVersion` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### shutdown

          public void shutdown(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                        throws org.apache.thrift.TException

      Specified by:
        `shutdown` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openEnvironment

          public void openEnvironment(java.lang.String homeDir,
                                      TEnvironmentConfig envConfig,
                                      org.apache.thrift.async.AsyncMethodCallback<TEnvironment> resultHandler)
                               throws org.apache.thrift.TException

      Specified by:
        `openEnvironment` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeEnvironmentHandle

          public void closeEnvironmentHandle(TEnvironment env,
                                             org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                      throws org.apache.thrift.TException

      Specified by:
        `closeEnvironmentHandle` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeEnvironmentHandles

          public void closeEnvironmentHandles(java.lang.String homeDir,
                                              long minIdleInMilli,
                                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                       throws org.apache.thrift.TException

      Specified by:
        `closeEnvironmentHandles` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### deleteEnvironmentAndDatabases

          public void deleteEnvironmentAndDatabases(java.lang.String homeDir,
                                                    boolean force,
                                                    org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                             throws org.apache.thrift.TException

      Specified by:
        `deleteEnvironmentAndDatabases` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getEnvironmentConfig

          public void getEnvironmentConfig(TEnvironment env,
                                           org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)
                                    throws org.apache.thrift.TException

      Specified by:
        `getEnvironmentConfig` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### setEnvironmentConfig

          public void setEnvironmentConfig(TEnvironment env,
                                           TEnvironmentConfig envConfig,
                                           org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                    throws org.apache.thrift.TException

      Specified by:
        `setEnvironmentConfig` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### removeDatabase

          public void removeDatabase(TEnvironment env,
                                     TTransaction txn,
                                     java.lang.String fileName,
                                     java.lang.String databaseName,
                                     boolean force,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `removeDatabase` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### renameDatabase

          public void renameDatabase(TEnvironment env,
                                     TTransaction txn,
                                     java.lang.String fileName,
                                     java.lang.String databaseName,
                                     java.lang.String newName,
                                     boolean force,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `renameDatabase` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### checkpoint

          public void checkpoint(TEnvironment env,
                                 int kbytes,
                                 int min,
                                 boolean force,
                                 org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                          throws org.apache.thrift.TException

      Specified by:
        `checkpoint` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openDatabase

          public void openDatabase(TEnvironment env,
                                   TTransaction txn,
                                   java.lang.String fileName,
                                   java.lang.String databaseName,
                                   TDatabaseConfig dbConfig,
                                   org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)
                            throws org.apache.thrift.TException

      Specified by:
        `openDatabase` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openSecondaryDatabase

          public void openSecondaryDatabase(TEnvironment env,
                                            TTransaction txn,
                                            java.lang.String fileName,
                                            java.lang.String databaseName,
                                            TDatabase primaryDb,
                                            TSecondaryDatabaseConfig sdbConfig,
                                            org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)
                                     throws org.apache.thrift.TException

      Specified by:
        `openSecondaryDatabase` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeDatabaseHandle

          public void closeDatabaseHandle(TDatabase db,
                                          org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                   throws org.apache.thrift.TException

      Specified by:
        `closeDatabaseHandle` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeDatabaseHandles

          public void closeDatabaseHandles(java.lang.String envHomeDir,
                                           java.lang.String fileName,
                                           java.lang.String databaseName,
                                           long minIdleInMilli,
                                           org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                    throws org.apache.thrift.TException

      Specified by:
        `closeDatabaseHandles` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getDatabaseConfig

          public void getDatabaseConfig(TDatabase db,
                                        org.apache.thrift.async.AsyncMethodCallback<TDatabaseConfig> resultHandler)
                                 throws org.apache.thrift.TException

      Specified by:
        `getDatabaseConfig` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### setDatabaseConfig

          public void setDatabaseConfig(TDatabase db,
                                        TDatabaseConfig dbConfig,
                                        org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                 throws org.apache.thrift.TException

      Specified by:
        `setDatabaseConfig` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbGet

          public void dbGet(TDatabase db,
                            TTransaction txn,
                            TKeyData keyData,
                            TDbGetConfig config,
                            org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `dbGet` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbGetWithPKey

          public void dbGetWithPKey(TDatabase sdb,
                                    TTransaction txn,
                                    TKeyDataWithPKey keyPKey,
                                    TDbGetConfig config,
                                    org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)
                             throws org.apache.thrift.TException

      Specified by:
        `dbGetWithPKey` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbPut

          public void dbPut(TDatabase db,
                            TTransaction txn,
                            java.util.List<TKeyDataWithSecondaryKeys> pairs,
                            TDbPutConfig config,
                            org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `dbPut` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbDelete

          public void dbDelete(TDatabase db,
                               TTransaction txn,
                               java.util.List<TKeyData> keyOrPairs,
                               org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                        throws org.apache.thrift.TException

      Specified by:
        `dbDelete` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbKeyExists

          public void dbKeyExists(TDatabase db,
                                  TTransaction txn,
                                  TDbt key,
                                  org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                           throws org.apache.thrift.TException

      Specified by:
        `dbKeyExists` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbKeyRange

          public void dbKeyRange(TDatabase db,
                                 TTransaction txn,
                                 TDbt key,
                                 org.apache.thrift.async.AsyncMethodCallback<TKeyRangeResult> resultHandler)
                          throws org.apache.thrift.TException

      Specified by:
        `dbKeyRange` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbCompact

          public void dbCompact(TDatabase db,
                                TTransaction txn,
                                TDbt start,
                                TDbt stop,
                                TCompactConfig config,
                                org.apache.thrift.async.AsyncMethodCallback<TCompactResult> resultHandler)
                         throws org.apache.thrift.TException

      Specified by:
        `dbCompact` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### dbTruncate

          public void dbTruncate(TDatabase db,
                                 TTransaction txn,
                                 boolean countRecords,
                                 org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                          throws org.apache.thrift.TException

      Specified by:
        `dbTruncate` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openCursor

          public void openCursor(TDatabase db,
                                 TTransaction txn,
                                 TCursorConfig cursorConfig,
                                 org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)
                          throws org.apache.thrift.TException

      Specified by:
        `openCursor` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeCursorHandle

          public void closeCursorHandle(TCursor cursor,
                                        org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                 throws org.apache.thrift.TException

      Specified by:
        `closeCursorHandle` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getCursorConfig

          public void getCursorConfig(TCursor cursor,
                                      org.apache.thrift.async.AsyncMethodCallback<TCursorConfig> resultHandler)
                               throws org.apache.thrift.TException

      Specified by:
        `getCursorConfig` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getCursorCachePriority

          public void getCursorCachePriority(TCursor cursor,
                                             org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler)
                                      throws org.apache.thrift.TException

      Specified by:
        `getCursorCachePriority` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### setCursorCachePriority

          public void setCursorCachePriority(TCursor cursor,
                                             TCachePriority priority,
                                             org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                      throws org.apache.thrift.TException

      Specified by:
        `setCursorCachePriority` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorGet

          public void cursorGet(TCursor cursor,
                                TKeyData keyData,
                                TCursorGetConfig config,
                                org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
                         throws org.apache.thrift.TException

      Specified by:
        `cursorGet` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorGetWithPKey

          public void cursorGetWithPKey(TCursor cursor,
                                        TKeyDataWithPKey keyPKey,
                                        TCursorGetConfig config,
                                        org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)
                                 throws org.apache.thrift.TException

      Specified by:
        `cursorGetWithPKey` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorPut

          public void cursorPut(TCursor cursor,
                                TKeyDataWithSecondaryKeys pair,
                                TCursorPutConfig config,
                                org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)
                         throws org.apache.thrift.TException

      Specified by:
        `cursorPut` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorDelete

          public void cursorDelete(TCursor cursor,
                                   org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                            throws org.apache.thrift.TException

      Specified by:
        `cursorDelete` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorDup

          public void cursorDup(TCursor cursor,
                                boolean samePos,
                                org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)
                         throws org.apache.thrift.TException

      Specified by:
        `cursorDup` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorCompare

          public void cursorCompare(TCursor cursor1,
                                    TCursor cursor2,
                                    org.apache.thrift.async.AsyncMethodCallback<java.lang.Short> resultHandler)
                             throws org.apache.thrift.TException

      Specified by:
        `cursorCompare` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### cursorCount

          public void cursorCount(TCursor cursor,
                                  org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                           throws org.apache.thrift.TException

      Specified by:
        `cursorCount` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openJoinCursor

          public void openJoinCursor(TDatabase pdb,
                                     java.util.List<TCursor> scursors,
                                     boolean sortCursors,
                                     org.apache.thrift.async.AsyncMethodCallback<TJoinCursor> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `openJoinCursor` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeJoinCursorHandle

          public void closeJoinCursorHandle(TJoinCursor cursor,
                                            org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                     throws org.apache.thrift.TException

      Specified by:
        `closeJoinCursorHandle` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### joinCursorGet

          public void joinCursorGet(TJoinCursor cursor,
                                    TJoinCursorGetConfig config,
                                    org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
                             throws org.apache.thrift.TException

      Specified by:
        `joinCursorGet` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### beginTransaction

          public void beginTransaction(TEnvironment env,
                                       TTransaction parent,
                                       TTransactionConfig config,
                                       org.apache.thrift.async.AsyncMethodCallback<TTransaction> resultHandler)
                                throws org.apache.thrift.TException

      Specified by:
        `beginTransaction` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### txnAbort

          public void txnAbort(TTransaction txn,
                               org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                        throws org.apache.thrift.TException

      Specified by:
        `txnAbort` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### txnCommit

          public void txnCommit(TTransaction txn,
                                TDurabilityPolicy durability,
                                org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                         throws org.apache.thrift.TException

      Specified by:
        `txnCommit` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### txnGetPriority

          public void txnGetPriority(TTransaction txn,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `txnGetPriority` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### txnSetPriority

          public void txnSetPriority(TTransaction txn,
                                     int priority,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `txnSetPriority` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### openSequence

          public void openSequence(TDatabase db,
                                   TTransaction txn,
                                   TDbt key,
                                   TSequenceConfig config,
                                   org.apache.thrift.async.AsyncMethodCallback<TSequence> resultHandler)
                            throws org.apache.thrift.TException

      Specified by:
        `openSequence` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### closeSequenceHandle

          public void closeSequenceHandle(TSequence seq,
                                          org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                   throws org.apache.thrift.TException

      Specified by:
        `closeSequenceHandle` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### removeSequence

          public void removeSequence(TDatabase db,
                                     TTransaction txn,
                                     TDbt key,
                                     boolean isAutoCommitNoSync,
                                     boolean force,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                              throws org.apache.thrift.TException

      Specified by:
        `removeSequence` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### sequenceGet

          public void sequenceGet(TSequence seq,
                                  TTransaction txn,
                                  int delta,
                                  org.apache.thrift.async.AsyncMethodCallback<java.lang.Long> resultHandler)
                           throws org.apache.thrift.TException

      Specified by:
        `sequenceGet` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getEnvStatistics

          public void getEnvStatistics(TEnvironment env,
                                       TEnvStatConfig config,
                                       org.apache.thrift.async.AsyncMethodCallback<TEnvStatResult> resultHandler)
                                throws org.apache.thrift.TException

      Specified by:
        `getEnvStatistics` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

    - #### getDatabaseStatistics

          public void getDatabaseStatistics(TDatabase db,
                                            TTransaction txn,
                                            boolean fast,
                                            org.apache.thrift.async.AsyncMethodCallback<TDatabaseStatResult> resultHandler)
                                     throws org.apache.thrift.TException

      Specified by:
        `getDatabaseStatistics` in interface `BdbService.AsyncIface`
      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.